Cabal-2.0.1.0: A framework for packaging Haskell software

Safe Haskell | Safe
Language | Haskell2010

Distribution.Compat.Exception

Synopsis

- catchIO :: IO a -> (IOException -> IO a) -> IO a
- catchExit :: IO a -> (ExitCode -> IO a) -> IO a
- tryIO :: IO a -> IO (Either IOException a)
- displayException :: Exception e => e -> String

# Documentation

catchIO :: IO a -> (IOException -> IO a) -> IO a #

catchExit :: IO a -> (ExitCode -> IO a) -> IO a #

tryIO :: IO a -> IO (Either IOException a) #

displayException :: Exception e => e -> String Source #

Render this exception value in a human-friendly manner.

Default implementation: ``show``.

Since: 4.8.0.0